---
title: Create user
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > SCIM
---

# Create user{% #create-user %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                         |
| ----------------- | ---------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/scim/Users |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/scim/Users |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/scim/Users      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/scim/Users      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/scim/Users  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/scim/Users     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/scim/Users |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/scim/Users |

### Overview

Create a new user. This endpoint requires all of the following permissions:
`user_access_invite``user_access_manage` 


### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field        | Type      | Description                                                                                            |
| ------------ | ------------ | --------- | ------------------------------------------------------------------------------------------------------ |
|              | active       | boolean   | A Boolean value indicating the User's administrative status.                                           |
|              | emails       | [object]  | Email addresses for the user.                                                                          |
| emails       | primary      | boolean   | Boolean indicating if this email is the primary email address.                                         |
| emails       | type         | enum      | The type of email. Allowed enum values: `work`                                                         |
| emails       | value        | string    | Email addresses for the user.                                                                          |
|              | id           | string    | The identifier of the resource. Not required when creating a user.                                     |
|              | meta         | object    | Metadata associated with a user.                                                                       |
| meta         | created      | date-time | The date and time the user was created.                                                                |
| meta         | lastModified | date-time | The date and time the user was last changed.                                                           |
| meta         | location     | string    | URL identifying the resource.                                                                          |
| meta         | resourceType | string    | Type of resource.                                                                                      |
|              | name         | object    | The components of user's real name                                                                     |
| name         | formatted    | string    | The full name, including all middle names, titles, and suffixes as appropriate, formatted for display. |
|              | schemas      | [string]  | User JSON Schemas.                                                                                     |
|              | title        | string    | The user's title.                                                                                      |
|              | userName     | string    | Unique identifier for the User.                                                                        |

{% /tab %}

{% tab title="Example" %}

```json
{
  "active": false,
  "emails": [
    {
      "primary": false,
      "type": "string",
      "value": "string"
    }
  ],
  "id": "string",
  "meta": {
    "created": "2024-10-17T12:53:35.793Z",
    "lastModified": "2024-10-19T12:53:35.793Z",
    "location": "https://app.datadoghq.com/api/scim/v2/Users/13a95654-b76d-478d-8636-157a7e461d7c",
    "resourceType": "User"
  },
  "name": {
    "formatted": "string"
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "title": "string",
  "userName": "string"
}
```

{% /tab %}

### Response

{% tab title="201" %}
Created
{% tab title="Model" %}
Definition of a user.

| Parent field | Field        | Type      | Description                                                                                            |
| ------------ | ------------ | --------- | ------------------------------------------------------------------------------------------------------ |
|              | active       | boolean   | A Boolean value indicating the User's administrative status.                                           |
|              | emails       | [object]  | Email addresses for the user.                                                                          |
| emails       | primary      | boolean   | Boolean indicating if this email is the primary email address.                                         |
| emails       | type         | enum      | The type of email. Allowed enum values: `work`                                                         |
| emails       | value        | string    | Email addresses for the user.                                                                          |
|              | id           | string    | The identifier of the resource. Not required when creating a user.                                     |
|              | meta         | object    | Metadata associated with a user.                                                                       |
| meta         | created      | date-time | The date and time the user was created.                                                                |
| meta         | lastModified | date-time | The date and time the user was last changed.                                                           |
| meta         | location     | string    | URL identifying the resource.                                                                          |
| meta         | resourceType | string    | Type of resource.                                                                                      |
|              | name         | object    | The components of user's real name                                                                     |
| name         | formatted    | string    | The full name, including all middle names, titles, and suffixes as appropriate, formatted for display. |
|              | schemas      | [string]  | User JSON Schemas.                                                                                     |
|              | title        | string    | The user's title.                                                                                      |
|              | userName     | string    | Unique identifier for the User.                                                                        |

{% /tab %}

{% tab title="Example" %}

```json
{
  "active": false,
  "emails": [
    {
      "primary": false,
      "type": "string",
      "value": "string"
    }
  ],
  "id": "string",
  "meta": {
    "created": "2024-10-17T12:53:35.793Z",
    "lastModified": "2024-10-19T12:53:35.793Z",
    "location": "https://app.datadoghq.com/api/scim/v2/Users/13a95654-b76d-478d-8636-157a7e461d7c",
    "resourceType": "User"
  },
  "name": {
    "formatted": "string"
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "title": "string",
  "userName": "string"
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/scim/Users" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" \
-d @- << EOF
{
  "active": true,
  "emails": [
    {
      "primary": true,
      "type": "work",
      "value": "john.doe@datadoghq.com"
    }
  ],
  "name": {
    "formatted": "John Doe"
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "title": "Mr.",
  "userName": "john.doe@datadoghq.com"
}
EOF \## json-request-body
# 
 \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/scim/Users" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" \
-d @- << EOF
{
  "active": true,
  "emails": [
    {
      "primary": true,
      "type": "work",
      "value": "john.doe@datadoghq.com"
    }
  ],
  "name": {
    "formatted": "John Doe"
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "title": "Mr.",
  "userName": "john.doe@datadoghq.com"
}
EOF 
                
{% /tab %}
